Description

I just tried the print composer on QGIS 1.9 and it has improved a lot, however the Print formatting I had didn´t print correctly mainly

because some parts where not within the print margins for my printer, so being able to see the print margins maybe as an outline of some

kind in the Print Composer page layout would be good to know that all my elements are going to get printed

History

#1 - 2014-04-06 06:04 AM - Jürgen Fischer

- Category changed from 33 to Map Composer/Printing

#2 - 2017-05-01 12:48 AM - Giovanni Manghi

- Easy fix? set to No

#3 - 2017-12-01 08:08 AM - Brett Russ

I had this same problem and have a workaround which basically involves using QGIS's ability to snap to the edges of the page.

    -  Under the Print Composer's Composition tab, temporarily choose a custom page size that is smaller by the sum of the margins in each dimension. In

other words, if you wanted to print on 11x17" paper with uniform 0.5" margins all around, set the page size to 10x16".

    -  Place content to the page edge (it should snap to it). Selecting all objects by drawing a box around everything with the select tool allows you to move

everything at once, if things are generally out of place on the new page size. 

    -  Once everything is where you want it, change the page size back to the final, larger paper size. 

    -  Finally, select everything and move it until it snaps at the center of the page in both dimensions (assuming you want equal margins!) and you're done.

#4 - 2018-03-19 05:28 PM - Antonio Locandro

Checked and there still seems no way to add the printer margins to the layout to guide where to put data for print or not
